#pragma once
#include "../../Utils/Component.h"
#include <Exp/Comparison/GreaterCompExp.h>
#include <BWAPI.h>

class CurrentWorld;
class UnitTypeObject;

class UnitTypeInstanceCompleted : public planning::GreaterCompExp
{
public:
  UnitTypeInstanceCompleted(UnitTypeObject* unitType);
  UnitTypeObject* getType() const { return m_unitType; }
protected:
  UnitTypeObject* const m_unitType;
};